This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 182640 - SMP enabled in Uniprocessor kernel
SMP enabled in Uniprocessor kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 14:55 EST by Mostafa Afgani
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 15:05:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mostafa Afgani 2006-02-23 14:55:56 EST
Description of problem:
SMP is enabled in Uniprocessor kernel -- leading to problems with drivers that
don't work with SMP.

Version-Release number of selected component (if applicable):
2.6.15-1.1831_FC4

How reproducible:
Always

Steps to Reproduce:
1. Install kernel-2.6.15-1.1831_FC4
2. 
3.
  
Actual results:
SMP is enabled (as seen in kernel .config)

Expected results:
SMP disabled for uniprocessor kernel

Additional info:
Comment 1 Ignacio Vazquez-Abrams 2006-02-23 15:05:37 EST
This has been discussed before. The performance loss from running SMP on a UP
x86_64 machine is negligable.
Comment 2 Mostafa Afgani 2006-02-23 15:20:12 EST
(In reply to comment #1)
> This has been discussed before. The performance loss from running SMP on a UP
> x86_64 machine is negligable.

Yes, but it's causing havoc with my WiFi driver (RaLink) -- resulting in a
system that won't boot. Why enable it if it's not going to be used anyway? I'm
sure I'm not the only one who wants to use a Uniprocessor kernel just to get a a
piece of hardware going that won't work with SMP enabled kernels..
Comment 3 Dave Jones 2006-02-23 17:20:53 EST
actually, this was a regression in FC4 that is being reverted in the next update 
(should be ready next week).

Ignacio's comment only applies to rawhide/FC5 onwards.

Note You need to log in before you can comment on or make changes to this bug.